Page MenuHomePhabricator

Make last edited and last created available through advancedSearch interface
Closed, ResolvedPublic1 Story Points

Description

Info Text (info i bubble):
Description
Change the sorting order of results. The standard is that most relevant pagest are placed on top of the results.
Help page
Explicit sort orders [linking to: https://www.mediawiki.org/wiki/Help:CirrusSearch#Explicit_sort_orders ]
Syntax-equivalent in the normal search
This feature has no keyword that you can type in the search input field since the function is specified via a parameter in the URL.

Labeling
Section Title: Sorting order
Option Title: Sorting oder
Labels in Dropdown:
Relevance
Edit date – current on top
Creation date – current on top
Bubble for collapsed state:
“Sort by relevance”, “Sort by edit date”, “Sort by creation date”

Acceptance Criteria:

  • There is a new section at the end of the AdvancedSearch panel called "Sorting order".
  • In the section is a dropdown that allows to select between relevance, last edited and last created (for labeling see section labeling)
  • By default, the dropdown has relevance selected
  • If the AdvancedSearch panel is closed, there is a bubble indicating which sort order currently is being performed
  • Ideally, the bubble cannot be clicked away, e.g. by disabling the x

Notes
Question: Will this have any effect on the persistence of our search URLs?

Event Timeline

Lea_WMDE created this task.Jun 11 2019, 8:15 AM
Lea_WMDE updated the task description. (Show Details)
gabriel-wmde removed Tonina_Zhelyazkova_WMDE as the assignee of this task.Jun 19 2019, 11:57 AM
gabriel-wmde moved this task from Todo to Review on the WMDE-FUN-Sprint-2019-06-11 board.
gabriel-wmde added a subscriber: gabriel-wmde.

I've fixed the failing browser tests and changes the text labels.

The different texts (label+description) for bubble and dropdown are missing right now and would require more code and more translations. Are those required?

gabriel-wmde set the point value for this task to 3.Jun 20 2019, 11:18 AM

@kai.nissen told me that the current labeling suggestion would be problematic, since they are not composed of parameter name and value.
In case the current suggestions are too difficult to implement, a variant which would allow this would be:

Option Title: Sorting oder
Relevance
Edit date
Creation date

However, user would need to guess in which direction the sort order goes, so it is not preferable.

kai.nissen changed the point value for this task from 3 to 1.

I've opted for the version where we have 2 different translation strings for the pills and the actual UI element. And edited the CSS to not restrict the sort field pill (for languages that need a more text). If the browser test pass, we should be good now.

kai.nissen updated the task description. (Show Details)Jul 12 2019, 9:51 AM
WMDE-Fisch closed this task as Resolved.Wed, Aug 14, 12:48 PM